*  FILE: ADVENT03/ASM
*
* DATA VARIABLES AND TABLES
*

*******************************
*
* VERB TABLE.  EACH VERB IS
* LISTED FOLLOWED BY IT'S
* ASSIGNED VERB NUMBER.
*
*******************************

VERBTB EQU *
 FCC 'LOOK',1
 FCC 'L   ',1
 FCC 'EXAM',1
 FCC 'INVE',2
 FCC 'I   ',2
 FCC 'G   ',3
 FCC 'GET ',3
 FCC 'TAKE',3
 FCC 'GRAB',3
 FCC 'PUT ',4
 FCC 'DROP',4
 FCC 'P   ',4
 FCC 'NORT',5
 FCC 'N   ',5
 FCC 'SOUT',6
 FCC 'S   ',6
 FCC 'EAST',7
 FCC 'E   ',7
 FCC 'WEST',8
 FCC 'W   ',8
 FCC 'UP  ',9
 FCC 'U   ',9
 FCC 'DOWN',10
 FCC 'D   ',10
 FCC 'GO  ',11
 FCC 'WALK',11
 FCC 'RUN ',11
 FCC 'BED ',12
 FCC 'OPEN',13
 FCC 'CLOS',14
 FCC 'SHUT',14
 FCC 'SLAM',14
 FCC 'PAY ',15
 FCC 'GIVE',15
 FCC 'APAR',16
 FCC 'ROOM',16
 FCC 'MAIL',16
 FCC 'BOX ',16
 FCC '203 ',17
 FCC 'PULL',19
 FCC 'SHOW',20
 FCC 'UNDE',21
 FCC 'READ',22
 FCC 'TALK',23
 FCC 'ASK ',23
 FCC 'BUY ',24
 FCC 'ORDE',24
 FCC 'HIGH',25
 FCC .O'SH.,26
 FCC 'BLIT',27
 FCC 'HELP',28
 FCC 'RUB ',29
 FCC 'SCOR',30
 FCC 'ROLL',31
 FCC 'PUSH',31
 FCC 'LIGH',32
 FCC 'FLAS',32
 FCC 'SEAN',33
 FCC 'SAY ',34
 FCC 'DRIN',35
 FCC 'UNLI',36
 FCC 'SAVE',37
 FCC 'LOAD',38
 FCC 'CROS',39
 FCC 'BLOW',40
 FCC 'PLAY',40
 FCB 0

*******************************
*
* NOUN TABLE.  LISTS ALL NOUNS
* AND THEIR ASSOCIATED NUMBER
*
*******************************

NOUNTB EQU *
 FCC 'NORT',1
 FCC 'SOUT',2
 FCC 'EAST',3
 FCC 'WEST',4
 FCC 'UP  ',5
 FCC 'DOWN',6
 FCC 'INVE',7
 FCC 'SHOE',8
 FCC 'JEAN',9
 FCC 'SHIR',9
 FCC 'CLOT',9
 FCC 'WALL',10
 FCC 'FLAS',11
 FCC 'LIGH',11
 FCC 'SHAM',12
 FCC 'WRAP',13
 FCC 'PAPE',13
 FCC 'MONE',14
 FCC 'CASH',14
 FCC 'CURR',14
 FCC 'GOLD',17
 FCC 'TOKE',17
 FCC 'BEER',19
 FCC 'RENT',20
 FCC '203 ',21
 FCC 'PACK',22
 FCC 'KNIF',24
 FCC 'HORN',26
 FCC 'UNIC',26
 FCC 'OVER',27
 FCC 'ON  ',29
 FCC 'OFF ',30
 FCC 'SEAN',31
 FCC 'GLAS',32
 FCC 'MUG ',32
 FCC 'POLE',33
 FCC 'ROPE',34
 FCC 'BRID',97
 FCC 'RAIN',100
 FCC 'CAVE',103
 FCC 'GIRL',104
 FCC 'WOMA',104
 FCC 'RIVE',105
 FCC 'CABI',106
 FCC 'TURN',107
 FCC 'GARB',109
 FCC 'DOOR',111
 FCC 'UNDE',113
 FCC 'BART',115
 FCC 'BARK',115
 FCC 'SIGN',116
 FCC 'MAIL',120
 FCC 'BOX ',120
 FCC 'LAND',121
 FCC 'MANA',121
 FCC 'BILL',122
 FCC 'AD  ',122
 FCC 'ADVE',122
 FCC 'WIND',124
 FCC 'VALE',125
 FCC 'DRES',126
 FCC 'BED ',127
 FCC 'ALL ',128
 FCC 'EVER',128
 FCB 0

*******************************
*
* SPECIAL ACTION TABLE. LISTS
* VERB/NOUN COMBO'S THAT HAVE
* SPECIAL PROCESSING ROUTINES.
* FORMAT IS:
*
*  # BYTES       DEXCRIPTION
*  -------   ------------------
*     1      VERB NUMBER
*     1      NOUN NUMBER
*     2      SPECIAL RTN ADDR
*
*******************************

SPCRTN EQU *
 FDB $0307,VINVE TAKE INVENTORY
 FDB $017E,LOOK01 LOOK DRESSER
 FDB $017F,LOOK02 LOOK BED
 FDB $017D,LOOK03 LOOK VALET
 FDB $0171,LOOK04 LOOK UNDER
 FDB $017A,LOOK05 LOOK ADVER
 FDB $0179,LOOK06 LOOK LANDLORD
 FDB $010A,LOOK07 LOOK WALLET
 FDB $016F,LOOK08 LOOK DOOR
 FDB $0116,LOOK09 LOOK PACKAGE
 FDB $016D,LOOK10 LOOK GARBAGE
 FDB $0174,LOOK11 LOOK SIGN
 FDB $0B6F,GO01   GO DOOR
 FDB $0B7C,GO02   GO WINDOW
 FDB $0B6B,GO03   GO TURNSTILE
 FDB $0B6A,GO04   GO CABIN
 FDB $0B67,GO05   GO CAVE
 FDB $0B61,GO06   GO BRIDGE
 FDB $0B64,GO07   GO RAINBOW
 FDB $0D6F,OPEN01 OPEN DOOR
 FDB $0D0A,OPEN02 OPEN WALLET
 FDB $0D78,OPEN03 OPEN MAILBOX
 FDB $0D16,OPEN04 OPEN PACKAGE
 FDB $0D18,OPEN05 OPEN KNIFE
 FDB $030A,GET01  GET WALLET
 FDB $030E,GET02  GET MONEY
 FDB $030B,GET03  GET FLASHLITE
 FDB $0320,GET04  GET BEER
 FDB $040A,PUT01  PUT WALLET
 FDB $0409,PUT02  PUT CLOTHES
 FDB $040E,PUT03  PUT MONEY
 FDB $040C,PUT04  PUT SHAMROCK
 FDB $040B,PUT05  PUT FLASHLITE
 FDB $0420,PUT06  PUT BEER
 FDB $0E6F,CLOS01 CLOSE DOOR
 FDB $1779,TALK01 TALK LANDLORD
 FDB $1773,TALK02 TALK BARKEEP
 FDB $2761,GO06   CROSS BRIDGE
 FDB $281A,BLOW01 BLOW HORN
 FDB 0

*******************************
*
* SPECIAL ACTION ON ENTRY TO A
* ROOM TABLE.  FORMAT IS:
*      ROOM#,RTNADDR
*
*******************************

ENTRTB EQU *
 FCB 1,>ENTR01
 FCB 6,>ENTR06
 FCB 8,>ENTR08
 FCB 17,>ENTR17
 FCB 44,>ENTR44
 FCB 46,>ENTR46
 FCB 0

*******************************
*
* SPECIAL ACTION ON EXIT FROM
* A ROOM TABLE.
*
*******************************

EXITTB EQU *
 FCB 1,>EXIT01
 FCB 4,>EXIT04
 FCB 6,>EXIT06
 FCB 8,>EXIT08
 FCB 12,>EXIT12
 FCB 27,>EXIT27
 FCB 28,>EXIT27
 FCB 30,>EXIT30
 FCB 38,>EXIT38
 FCB 39,>EXITCV
 FCB 40,>EXITCV
 FCB 41,>EXITCV
 FCB 42,>EXITCV
 FCB 43,>EXITCV
 FCB 44,>EXITCV
 FCB 0

*******************************
*
* SPECIAL ACTION FOR COMMANDS
* GIVEN WHILE IN A ROOM TABLE
*
*******************************

INRMTB EQU *
 FCB 12,>INRM12
 FCB 44,>ENTR44
 FCB 0

*******************************
*
* ROOM TABLE.  DEFINES THE
* LAYOUT OF THE ADVENTURE. EACH
* ENTRY HAS THE FOLLOWING
* FORMAT:
*
* # BYTES        DESCRIPTION
* -------   -------------------
*    1      ROOM # TO NORTH
*    1      ROOM # TO SOUTH
*    1      ROOM # TO EAST
*    1      ROOM # TO WEST
*    1      ROOM # UP
*    1      ROOM # DOWN
*   14      OBJECTS IN ROOM
*
*******************************

ROOMTB EQU *
*ROOM 1
 FCB 0,0,0,0,0,0
 FCB 127,126,8+INV,125,124
 FCB 9+INV,10+INV,11+INV,111
 FCB RMOBJ-9[0]
*ROOM 2
 FCB 0,0,0,0,0,0
 FCB 122,124,RMOBJ-2[0]
*ROOM 3
 FCB 4,0,0,0,0,0
 FCB 124,112,RMOBJ-2[0]
*ROOM 4
 FCB 0,3,0,0,0,5
 FCB 121,RMOBJ-1[0]
*ROOM 5
 FCB 6,0,0,0,4,0
 FCB 120,22+INV,RMOBJ-2[0]
*ROOM 6
 FCB 0,5,7,0,0,0
 FCB 119,RMOBJ-1[0]
*ROOM 7
 FCB 0,10,8,6,0,0
 FCB RMOBJ[0]
*ROOM 8
 FCB 0,0,9,7,0,0
 FCB 110,RMOBJ-1[0]
*ROOM 9
 FCB 0,0,0,8,0,0
 FCB 109,17+INV,118
 FCB RMOBJ-3[0]
*ROOM 10
 FCB 7,11,0,8,0,0
 FCB RMOBJ[0]
*ROOM 11
 FCB 10,13+INV,12,0,0,0
 FCB 117,102,RMOBJ-2[0]
*ROOM 12
 FCB 0,0,0,11,0,0
 FCB 116,115,114
 FCB RMOBJ-3[0]
*ROOM 13
 FCB 11,0,10,14,0,0
 FCB RMOBJ[0]
*ROOM 14
 FCB 0,0,13,16,0,0
 FCB RMOBJ[0]
*ROOM 15
 FCB 6[0]
 FCB 108,RMOBJ-1[0]
*ROOM 16
 FCB 0,0,14,0,0,0
 FCB 107,RMOBJ-1[0]
*ROOM 17
 FCB 0,18,0,19,0,0
 FCB RMOBJ[0]
*ROOM 18
 FCB 17,18,18,0,0,0
 FCB RMOBJ[0]
*ROOM 19
 FCB 0,20,17,21,0,0
 FCB RMOBJ[0]
*ROOM 20
 FCB 19,0,18,0,0,0
 FCB RMOBJ[0]
*ROOM 21
 FCB 0,0,19,23,0,0
 FCB 106,RMOBJ-1[0]
*ROOM 22
 FCB 21,0,0,0,0,0
 FCB 102,RMOBJ-1[0]
*ROOM 23
 FCB 0,24,21,0,0,0
 FCB 105,RMOBJ-1[0]
*ROOM 24
 FCB 23,25,0,24,0,0
 FCB 105,RMOBJ-1[0]
*ROOM 25
 FCB 24,27,26,23,0,0
 FCB 105,RMOBJ-1[0]
*ROOM 26
 FCB 0,0,31,25,0,0
 FCB RMOBJ[0]
*ROOM 27
 FCB 25,0,28,0,0,30
 FCB RMOBJ[0]
*ROOM 28
 FCB 0,0,0,27,0,38
 FCB RMOBJ[0]
*ROOM 29
 FCB 0,0,0,30,0,0
 FCB 33,RMOBJ-1[0]
*ROOM 30
 FCB 0,0,29,0,27,0
 FCB RMOBJ[0]
*ROOM 31
 FCB 20,0,32,26,0,0
 FCB 26,RMOBJ-1[0]
*ROOM 32
 FCB 18,33,0,31,0,0
 FCB RMOBJ[0]
*ROOM 33
 FCB 32,33,33,34,0,0
 FCB RMOBJ[0]
*ROOM 34
 FCB 0,35,33,0,0,0
 FCB RMOBJ[0]
*ROOM 35
 FCB 34,0,36,0,0,0
 FCB RMOBJ[0]
*ROOM 36
 FCB 33,37,36,35,0,0
 FCB RMOBJ[0]
*ROOM 37
 FCB 36,37,0,35,0,0
 FCB 104,12+INV,RMOBJ-2[0]
*ROOM 38
 FCB 0,0,0,0,28,29
 FCB 103,101,RMOBJ-2[0]
*ROOM 39
 FCB 38,40,39,39,0,0
 FCB RMOBJ[0]
*ROOM 40
 FCB 39,40,41,40,0,0
 FCB RMOBJ[0]
*ROOM 41
 FCB 41,41,41,39,0,42
 FCB RMOBJ[0]
*ROOM 42
 FCB 42,42,43,39,41,0
 FCB RMOBJ[0]
*ROOM 43
 FCB 42,44,43,42,0,0
 FCB RMOBJ[0]
*ROOM 44
 FCB 43,0,0,0,0,0
 FCB 97+INV,RMOBJ-1[0]
*ROOM 45
 FCB 0,0,0,0,0,0
 FCB 100,97,RMOBJ-2[0]
*ROOM 46
 FCB 0,0,45,47,0,0
 FCB 100,RMOBJ-1[0]
*ROOM 47
 FCB 0,0,0,0,0,0
 FCB 100,99,RMOBJ-2[0]

*******************************
*
* GRAPHIC SCREEN INDICATOR
* TABLE (BY ROOM)
*
*******************************

SCRIND EQU *
*ROOM 1
 FCB 8,8,9,10,21,22
*ROOM 2
 FCB 4,19,29,26,27,28
*ROOM 3
 FCB 8,14,15,21,0,0
*ROOM 4
 FCB 8,14,16,17,0,0
*ROOM 5
 FCB 8,16,24,25,22,0
*ROOM 6
 FCB 1,46,0,0,0,0
*ROOM 7
 FCB 2,42,0,0,0,0
*ROOM 8
 FCB 1,0,0,0,0,0
*ROOM 9
 FCB 1,44,0,0,0,0
*ROOM 10
 FCB 2,42,0,0,0,0
*ROOM 11
 FCB 2,42,45,0,0,0
*ROOM 12
 FCB 8,11,12,13,22,0
*ROOM 13
 FCB 2,42,0,0,0,0
*ROOM 14
 FCB 1,0,0,0,0,0
*ROOM 15
 FCB 8,37,0,0,0,0
*ROOM 16
 FCB 1,47,48,0,0,0
*ROOM 17
 FCB 3,0,0,0,0,0
*ROOM 18
 FCB 3,0,0,0,0,0
*ROOM 19
 FCB 3,0,0,0,0,0
*ROOM 20
 FCB 3,0,0,0,0,0
*ROOM 21
 FCB 3,38,39,0,0,0
*ROOM 22
 FCB 8,21,22,40,0,0
*ROOM 23
 FCB 3,1,0,0,0,0
*ROOM 24
 FCB 3,1,0,0,0,0
*ROOM 25
 FCB 3,1,0,0,0,0
*ROOM 26
 FCB 3,0,0,0,0,0
*ROOM 27
 FCB 5,0,0,0,0,0
*ROOM 28
 FCB 5,0,0,0,0,0
*ROOM 29
 FCB 6,2,0,0,0,0
*ROOM 30
 FCB 6,0,0,0,0,0
*ROOM 31
 FCB 3,0,0,0,0,0
*ROOM 32
 FCB 3,0,0,0,0,0
*ROOM 33
 FCB 3,0,0,0,0,0
*ROOM 34
 FCB 4,18,19,20,0,0
*ROOM 35
 FCB 4,18,4,19,0,0
*ROOM 36
 FCB 4,18,19,20,0,0
*ROOM 37
 FCB 4,18,20,4,55,0
*ROOM 38
 FCB 7,23,0,0,0,0
*ROOM 39
 FCB 9,34,33,30,31,32
*ROOM 40
 FCB 9,34,30,31,32,0
*ROOM 41
 FCB 9,34,33,30,31,32
*ROOM 42
 FCB 9,34,33,30,31,32
*ROOM 43
 FCB 9,34,33,30,31,32
*ROOM 44
 FCB 9,34,30,33,32,58
*ROOM 45
 FCB 4,18,3,4,0,0
*ROOM 46
 FCB 4,19,7,20,0,0
*ROOM 47
 FCB 4,18,19,5,6,0

*******************************
*
* MOVABLE OBJ TABLE
*
* OBJECT #,ROOM #,OVERLAY #
*
*******************************

MOVOBJ EQU *
 FCB 8,1,52
 FCB 9,1,49
 FCB 10,1,51
 FCB 18,1,51
 FCB 11,1,50
 FCB 12,34,54
 FCB 12,35,54
 FCB 12,36,54
 FCB 12,37,54
 FCB 22,5,56
 FCB 19,12,57
 FCB 32,12,57
 FCB 26,17,35
 FCB 26,18,35
 FCB 26,19,35
 FCB 26,20,35
 FCB 26,21,35
 FCB 26,23,35
 FCB 26,24,35
 FCB 26,25,35
 FCB 26,26,35
 FCB 26,31,35
 FCB 26,32,35
 FCB 26,33,35
 FCB 26,34,35
 FCB 26,35,35
 FCB 26,36,35
 FCB 26,37,35
 FCB 26,45,35
 FCB 33,17,36
 FCB 33,18,36
 FCB 33,19,36
 FCB 33,20,36
 FCB 33,21,36
 FCB 33,23,36
 FCB 33,24,36
 FCB 33,25,36
 FCB 33,26,36
 FCB 33,27,36
 FCB 33,27,36
 FCB 33,29,36
 FCB 33,30,36
 FCB 33,31,36
 FCB 33,32,36
 FCB 33,33,36
 FCB 33,34,36
 FCB 33,35,36
 FCB 33,36,36
 FCB 33,37,36
 FCB 33,45,36
 FCB 98,22,41
 FCB 97,44,60
 FCB 98,43,59
 FCB 101,38,61
 FCB 110,8,43
 FCB 121,4,53
 FCB 0

*******************************
*
* GRAPHIC SCREEN PNTR TABLE
*
*******************************

SCRTAB EQU *
 FDB SCRST2,SCRST2,SCRWDS
 FDB SCRCLV,SCRCLT,SCRCLB
 FDB SCRCAV,SCRBED,SCRBLK

*******************************
*
* GRAPHIC OBJECT PNTR TABLE
*
* FORMAT: SCREEN ROW  - XX
*         SCREEN COL  - XX
*         LINE LEN    - XX
*         DATA        - XX..XX
*         TERM BY $FF
*
*******************************

SCROBJ EQU *
 FDB OVLRVR,OVLCAV,OVLRB1
 FDB OVLCLO,OVLRB2,OVLGLD
 FDB OVLRB3,OVLBED,OVLDRS
 FDB OVLVAL,OVLBR1,OVLBR2
 FDB OVLBR3,OVLHL1,OVLHL2
 FDB OVLHL3,OVLHL4,OVLGRS
 FDB OVLCL1,OVLCL2,OVLWIN
 FDB OVLDOR,OVLCVE,OVLSTA
 FDB OVLBOX,OVLBG1,OVLBG2
 FDB OVLBIL,OVLRAI,OVLSG1
 FDB OVLSG2,OVLSG3,OVLIC1
 FDB OVLIC2,OVMHRN,OVMPOL
 FDB OVLJIL,OVLCB1,OVLCB2
 FDB OVLCB3,OVLCTD,OVLST3
 FDB OVLMUG,OVLGAR,OVLBRD
 FDB OVLCOP,OVLTR1,OVLTR2
 FDB OVLCTH,OVLFLA,OVLWLT
 FDB OVLSHO,OVLLRD,OVLSHM
 FDB OVLGRL,OVLPAK,OVLBER
 FDB OVLRAV,OVLTDR,OVLBRG
 FDB OVLSNK

GENHLP EQU *
 FCB 13,'T,'r,'y+$80
 FCC 'examinin','g+$80
 FCC 'things',0

 FCB 13,'N,'o+$80
 FCC 'HEL','P+$80
 FCC 'available',0

 FCB 13,'U,'s,'e+$80
 FCC 'SAV','E+$80
 FCC 'whe','n+$80
 FCC 'enterin','g+$80
 FCC 'dangerou','s+$80
 FCC 'areas',0

 FCB 13,'I,'','m+$80
 FCC 'stumpe','d+$80
 FCC 'too!',0

*******************************
*
* HELP DESCRIPTION TABLE
*
*******************************

HELPTB EQU *

*ROOM 1
 FCB $FF,13
 FCC 'Observation','s+$80
 FCC 'ca','n+$80
 FCB 'b,'e+$80
 FCC 'rewarding',0

*ROOM 2
 FCB $FF,13,'A+$80
 FCC 'sig','n+$80
 FCB 'o,'f+$80,C.THE
 FCC 'times',0

*ROOM 3
 FCB $FF,0

*ROOM 4
 FCB $FF,0

*ROOM 5
 FCB $FF,0

*ROOM 6
 FCB $FF,0

*ROOM 7
 FCB $FF,0

*ROOM 8
 FCB $FF,13
 FCC 'Fen','d+$80
 FCC 'fo','r+$80
 FCC 'yourself',0

*ROOM 9
 FCB $FF,0

*ROOM 10
 FCB $FF,0

*ROOM 11
 FCB $FF,0

*ROOM 12
 FCB $FF,0

*ROOM 13
 FCB $FF,0

*ROOM 14
 FCB $FF,0

*ROOM 15
 FCB 1,13
 FCC 'No','t+$80
 FCC 'now!',0

*ROOM 16
 FCB $FF,0

*ROOM 17
 FCB $FF,13
 FCC .Don'.,'t+$80
 FCC 'le','t+$80,'i,'t+$80
 FCC 'ru','b+$80,C.YOU,C.THE
 FCC 'wron','g+$80
 FCC 'way!',0

*ROOM 18
 FCB $FF,0

*ROOM 19
 FCB $FF,0

*ROOM 20
 FCB $FF,0

*ROOM 21
 FCB $FF,0

*ROOM 22
 FCB $FF,0

*ROOM 23
 FCB $FF,0

*ROOM 24
 FCB $FF,0

*ROOM 25
 FCB $FF,0

*ROOM 26
 FCB $FF,0

*ROOM 27
 FCB $FF,0

*ROOM 28
 FCB $FF,0

*ROOM 29
 FCB $FF,0

*ROOM 30
 FCB $FF,0

*ROOM 31
 FCB $FF,0

*ROOM 32
 FCB $FF,0

*ROOM 33
 FCB $FF,0

*ROOM 34
 FCB $FF,0

*ROOM 35
 FCB $FF,0

*ROOM 36
 FCB $FF,0

*ROOM 37
 FCB $FF,13,'I+$80
 FCC 'thin','k+$80
 FCC 'ther','e+$80,C.IS
 FCC 'somethin','g+$80
 FCC 'unde','r+$80
 FCC 'her.',0

*ROOM 38
 FCB $FF,13
 FCC 'No','w+$80
 FCC 'wha','t+$80
 FCC 'woul','d+$80
 FCC 'St','.+$80
 FCC 'Patric','k+$80
 FCB 'd,'o+$80,C.INA
 FCC 'situatio','n+$80
 FCC 'lik','e+$80
 FCC 'this?',0

*ROOM 39
 FCB $FF,0

*ROOM 40
 FCB $FF,0

*ROOM 41
 FCB $FF,0

*ROOM 42
 FCB $FF,0

*ROOM 43
 FCB $FF,0

*ROOM 44
 FCB $FF,0

*ROOM 45
 FCB $FF,0

*ROOM 46
 FCB $FF,0

*******************************
*
* DIRECTION DESCRIPTIONS TABLE
*
*******************************

DIRECT EQU *
 FCC 'North',',+$80,0
 FCC 'South',',+$80,0
 FCC 'East',',+$80,0
 FCC 'West',',+$80,0
 FCC 'Up',',+$80,0
 FCC 'Down',',+$80,0

*******************************
*
* OBJECT DESCRIPTIONS TABLE
*
*******************************

OBJTAB EQU *
 FCB 8
 FCC 'shoes',0

 FCB 9
 FCC 'jean','s+$80
 FCB '&+$80,'a+$80
 FCC 'shirt',0

 FCB 10
 FCB 'a+$80
 FCC 'wallet',0

 FCB 11
 FCB 'a+$80
 FCC 'flashlight',0

 FCB 12,'a+$80
 FCC 'glitterin','g+$80
 FCC 'shamrock',0

 FCB 13
 FCC 'bit','s+$80
 FCB 'o,'f+$80
 FCC 'wrappin','g+$80
 FCC 'paper',0

 FCB 14
 FCC '$10','2+$80
 FCC 'U.S','.+$80
 FCC 'currency',0

 FCB 15
 FCB '$,'2+$80
 FCC 'U.S','.+$80
 FCC 'currency',0

 FCB 17,'a+$80
 FCC 'gol','d+$80
 FCC 'token',0

 FCB 18,C.AN
 FCC 'empt','y+$80
 FCC 'wallet',0

 FCB 19,'a+$80
 FCC 'glas','s+$80
 FCB 'o,'f+$80
 FCC 'beer',0

 FCB 22,'a+$80
 FCC 'smal','l+$80
 FCC 'package',0

 FCB 23,C.YOU,C.ARE
 FCC 'wearin','g+$80
 FCC 'clothes',0

 FCB 24,'a+$80
 FCC 'pocke','t+$80
 FCC 'knife',0

 FCB 26,'a+$80
 FCC 'unicor','n+$80
 FCC 'horn',0

 FCB 28,'a+$80
 FCC 'li','t+$80
 FCC 'flashlight',0

 FCB 32,C.AN
 FCC 'empt','y+$80
 FCC 'glass',0

 FCB 33,'a+$80,'1,'2+$80
 FCC 'foo','t+$80
 FCC 'pole',0

 FCB 34,'a+$80
 FCC 'rope',0

 FCB 97,'a+$80
 FCC 'crysta','l+$80
 FCC 'bridge',0

 FCB 98,C.AN
 FCC 'ope','n+$80
 FCC 'tra','p+$80
 FCC 'door',0

 FCB 99,'a+$80
 FCC 'larg','e+$80
 FCC 'po','t+$80,'o,'f+$80
 FCC 'gold',0

 FCB 100,'a+$80
 FCC 'rainbow',0

 FCB 101,'a+$80
 FCC 'larg','e+$80
 FCC 'snake',0

 FCB 102,'a+$80
 FCC 'smal','l+$80
 FCC 'sign',0

 FCB 103,C.THE
 FCC 'entranc','e+$80
 FCB 't,'o+$80,'a+$80
 FCC 'cave',0

 FCB 104,'a+$80
 FCC 'youn','g+$80
 FCC 'woman',0

 FCB 105,'a+$80
 FCC 'river',0

 FCB 106,C.AN
 FCC 'ol','d+$80
 FCC 'cabin',0

 FCB 107,'a+$80
 FCC 'subwa','y+$80
 FCC 'turnstile',0

 FCB 108
 FCC 'jai','l+$80
 FCC 'bars',0

 FCB 109
 FCC 'garbage',0

 FCB 110,'a+$80
 FCC 'grou','p+$80
 FCB 'o,'f+$80
 FCC 'muggers',0

 FCB 111,'a+$80
 FCC 'door',0

 FCB 112,C.AN
 FCC 'ope','n+$80
 FCC 'door',0

 FCB 114
 FCC 'smal','l+$80
 FCC 'group','s+$80
 FCC 'o','f+$80
 FCC 'customers',0

 FCB 115
 FCB C.THE
 FCC 'barkeep',0

 FCB 116
 FCB 'a+$80
 FCC 'sig','n+$80
 FCB 'o,'n+$80
 FCB C.THE
 FCC 'bar',0

 FCB 117
 FCB C.THE
 FCC 'entranc','e+$80
 FCB 't,'o+$80,'a+$80
 FCC 'smal','l+$80
 FCC 'pub',0

 FCB 118
 FCC 'garbag','e+$80
 FCC 'cans',0

 FCB 119
 FCB 'a+$80
 FCC 'polic','e+$80
 FCC 'officer',0

 FCB 120
 FCC 'mai','l+$80
 FCC 'boxes',0

 FCB 121
 FCB C.THE
 FCC 'landlord',0

 FCB 122
 FCB C.AN
 FCC 'advertisin','g+$80
 FCC 'billboard',0

 FCB 123
 FCB C.AN
 FCC 'ope','n+$80
 FCC 'window',0

 FCB 124
 FCB 'a+$80
 FCC 'close','d+$80
 FCC 'window',0

 FCB 125,'a+$80
 FCC 'woode','n+$80
 FCC 'valet',0

 FCB 126,'a+$80
 FCC 'dresser',0

 FCB 127,C.AN
 FCC 'ol','d+$80
 FCC 'bras','s+$80
 FCC 'bed',0

*******************************
*
* ROOM DESCRIPTIONS TABLE
*
*******************************

DESCTB EQU *
*ROOM 1
 FCB C.UARE,C.INA
 FCC 'smal','l+$80
 FCC 'efficienc','y+$80
 FCC 'apartment',0
*ROOM 2
 FCB C.UARE,C.ONA
 FCC 'fir','e+$80
 FCC 'escape','.+$80
 FCC 'Befor','e+$80
 FCB C.YOU,C.ISA
 FCC 'larg','e+$80
 FCC 'city','.+$80,0
*ROOM 3
 FCB C.UARE,C.INA
 FCC 'diml','y+$80
 FCC 'li','t+$80
 FCC 'hallway.',0
*ROOM 4
 FCB C.UARE,'a,'t+$80,C.THE
 FCC 'to','p+$80
 FCB 'o,'f+$80,'a,'n+$80
 FCC 'ol','d+$80
 FCC 'staircase.',0
*ROOM 5
 FCB C.UARE,'i,'n+$80,C.THE
 FCC 'vestibul','e+$80
 FCB 'a,'t+$80,C.THE
 FCC 'botto','m+$80
 FCB 'o,'f+$80,C.THE
 FCC 'stairs.',0
*ROOM 6
 FCB C.UARE,C.ONA
 FCC 'residentia','l+$80
 FCC 'street.',0
*ROOM 7
 FCB $FF,6,0
*ROOM 8
 FCB $FF,6,0
*ROOM 9
 FCB $FF,6,0
*ROOM 10
 FCB $FF,6,0
*ROOM 11
 FCB $FF,6,0
*ROOM 12
 FCB C.UARE
 FCC 'insid','e+$80
 FCB 'a+$80
 FCC 'smal','l+$80
 FCC 'pub','.+$80,0
*ROOM 13
 FCB $FF,6,0
*ROOM 14
 FCB $FF,6,0
*ROOM 15
 FCB C.UARE,C.INA
 FCC 'jai','l+$80
 FCC 'cell','.+$80
 FCB C.TTHE
 FCC 'charge','s+$80
 FCC 'agains','t+$80
 FCB C.YOU,C.ARE
 FCC '"INDECEN','T+$80
 FCC 'EXPOSURE"','.+$80,0
*ROOM 16
 FCB C.UARE
 FCC 'facin','g+$80,C.THE
 FCC 'entranc','e+$80
 FCB 't,'o+$80,'a+$80
 FCC 'subwa','y+$80
 FCC 'station.',0
*ROOM 17
 FCB C.UARE,C.INA
 FCC 'beautifu','l+$80
 FCC 'woode','d+$80
 FCC 'area.',0
*ROOM 18
 FCB $FF,17,0
*ROOM 19
 FCB $FF,17,0
*ROOM 20
 FCB $FF,17,0
*ROOM 21
 FCB $FF,17,0
*ROOM 22
 FCB C.UARE
 FCC 'insid','e+$80
 FCB 'a+$80
 FCC 'rusti','c+$80
 FCC 'countr','y+$80
 FCC 'cabin.',0
*ROOM 23
 FCB C.UARE,'o,'n+$80,C.THE
 FCC 'shor','e+$80
 FCB 'o,'f+$80,'a+$80
 FCC 'ramblin','g+$80
 FCC 'river.',0
*ROOM 24
 FCB $FF,23,0
*ROOM 25
 FCB $FF,23,0
*ROOM 26
 FCB $FF,17,0
*ROOM 27
 FCB C.UARE,'a,'t+$80,C.THE
 FCC 'to','p+$80
 FCB 'o,'f+$80,'a+$80
 FCC 'stee','p+$80
 FCC 'cliff.',0
*ROOM 28
 FCB $FF,27,0
*ROOM 29
 FCB C.UARE,'a,'t+$80,C.THE
 FCC 'bas','e+$80
 FCB 'o,'f+$80,'a+$80
 FCC 'stee','p+$80
 FCC 'cliff.',0
*ROOM 30
 FCB $FF,29,0
*ROOM 31
 FCB $FF,17,0
*ROOM 32
 FCB $FF,17,0
*ROOM 33
 FCB $FF,17,0
*ROOM 34
 FCB C.UARE,C.INA
 FCC 'larg','e+$80
 FCC 'clove','r+$80
 FCC 'field.',0
*ROOM 35
 FCB $FF,34,0
*ROOM 36
 FCB $FF,34,0
*ROOM 37
 FCB $FF,34,0
*ROOM 38
 FCB C.UARE,C.ONA
 FCC 'narro','w+$80
 FCC 'ledge','.+$80,0
*ROOM 39
 FCB C.UARE
 FCC 'insid','e+$80,'a+$80
 FCC 'dam','p+$80
 FCC 'cave','.+$80
 FCC 'Twist','y+$80
 FCC 'passage','s+$80
 FCC 'lea','d+$80
 FCC 'of','f+$80,'i,'n+$80
 FCC 'al','l+$80
 FCC 'directions.',0
*ROOM 40
 FCB $FF,39,0
*ROOM 41
 FCB $FF,39,0
*ROOM 42
 FCB $FF,39,0
*ROOM 43
 FCB C.UARE
 FCC 'insid','e+$80,'a+$80
 FCC 'dam','p+$80
 FCC 'cave','.+$80,'A+$80
 FCC 'tra','p+$80
 FCC 'doo','r+$80
 FCC 'appear','s+$80,'i,'n+$80,C.THE
 FCC 'ceiling.',0
*ROOM 44
 FCB C.UARE,C.INA
 FCC 'larg','e+$80
 FCC 'caver','n+$80
 FCC 'facin','g+$80,'a+$80
 FCC 'dee','p+$80
 FCC 'ravine.',0
*ROOM 45
 FCB C.UARE,C.INA
 FCC 'meadow','.+$80,'A+$80
 FCC 'rainbo','w+$80
 FCC 'appear','s+$80,'t,'o+$80
 FCC 'touc','h+$80,C.THE
 FCC 'groun','d+$80
 FCC 'here.',0
*ROOM 46
 FCB C.UARE,'a,'t+$80,C.THE
 FCC 'highes','t+$80
 FCC 'poin','t+$80,'o,'f+$80,C.THE
 FCC 'arc','h+$80,'o,'f+$80,C.THE
 FCC 'rainbow.',0
*ROOM 47
 FCB C.UARE,'a,'t+$80,C.THE
 FCC 'en','d+$80,'o,'f+$80,C.THE
 FCC 'rainbow','.+$80,C.YYOU
 FCC 'hav','e+$80
 FCC 'achieve','d+$80
 FCC 'infinit','e+$80
 FCC 'wealth','.+$80
 FCC 'Congratulations!',0

*******************************
*
* COMPRESSED PHRASE TABLE
*
*******************************

TXTTAB EQU *
 FCC 'th','e+$80,0
 FCC 'yo','u+$80,0
 FCC 'ar','e+$80,0
 FCC 'se','e+$80,0
 FCC 'can','','t+$80,0
 FCC 'don','','t+$80,0
 FCC 'Yo','u+$80,0
 FCB C.YYOU,C.ARE,0
 FCB 'i,'n+$80,'a+$80,0
 FCB 'o,'n+$80,'a+$80,0
 FCB 'i,'s+$80,'a+$80,0
 FCC .It'.,'s+$80,0
 FCC 'Th','e+$80,0
 FCB 'i,'s+$80,0
 FCC 'an','d+$80,0
 FCB 'a,'n+$80,0
 FCB 'a,'t+$80,0

*******************************
*
* VERB ROUTINE JUMP VECTORS
*
*******************************

RTNTAB EQU *
 FDB VLOOK,VINVE,VGET,VPUT
 FDB VNORTH,VSOUTH,VEAST,VWEST
 FDB VUP,VDOWN,VGO,BADINP
 FDB VOPEN,VCLOSE,VPAY,BADINP
 FDB BADINP,BADINP,VPULL,VSHOW
 FDB BADINP,VREAD,VTALK,VBUY
 FDB BADINP,BADINP,BADINP,VHELP
 FDB VRUB,VSCORE,VROLL,VLIGHT
 FDB VSEAN,VSAY,VDRINK
 FDB VUNLIT,VSAVE,VLOAD,BADINP
 FDB BADINP

*******************************
*
* NON ARRAY VARIABLES
*
*******************************

COMMA FCB ',+$80,0

*
* END OF FILE: ADVENT03/ASM
*
