*  FILE: ADVENT01/ASM
*
* VERB PROCESSING ROUTINES
*

*******************************
*
* "LOOK" VERB HANDLER
*
*******************************

VLOOK EQU *
 JSR INCAVE
 LDA NOUNNO
 BEQ S@
 JSR CKOBJ
 LBNE DMSG12
 LDA NOUNNO
 JSR HAVOBJ
 LBNE DMSG12
 JMP DMSG7
S@ JSR CLS
 JSR DRAWSC
 LDB ROOM
A@ LDX #DESCTB DESCRIPTIONS
B@ DECB FIND DESC FOR THIS ROOM
 BEQ D@
C@ TST ,X+
 BNE C@
 BRA B@
D@ LDA ,X 1ST CHAR OF DESC
 CMPA #$FF IS IT POINTER?
 BNE E@ NO:DISPLAY IT
 LDB 1,X GET NEW ROOM #
 BRA A@ DISPLAY NEW ROOM
E@ JSR DISPLY DISPLAY ROOM DESC
 LDA ROOM DISPLAY ALL DIRECTIONS
 DECA
 LDB #RMSIZE
 MUL
 ADDD #ROOMTB
 TFR D,Y
 TFR D,X SEE IF ANY EXITS
 LDB #6
P@ TST ,X+
 BNE Q@
 DECB
 BNE P@
 LEAY 6,Y
 BRA R@
Q@ LDX #MSG1 DIRECTION MSG
 JSR DISPLY
 LDX #DIRECT
 LDB #6
F@ LDA ,Y+
 BEQ G@ DIRECTION NOT AVAIL
 BMI G@ DIRECTION UNSEEN
 JSR DISPLY
G@ TST ,X+
 BNE G@
 DECB
 BNE F@
 JSR PERIOD
R@ TFR Y,X SEE IF ANY OBJ IN ROOM
 LDB #RMOBJ
 CLRA
H@ TST ,X+
 BEQ I@ NOT AN OBJ
 BMI I@ UNSEEN OBJ
 INCA
I@ DECB
 BNE H@
 TSTA ANY VISIBLE OBJ?
 BEQ O@ NO:ALL DONE
 LDX #MSG2 OBJECTS SEEN MSG
 JSR DISPLY
 LDB #RMOBJ
M@ LDX #OBJTAB OBJECT DESC TBL
 LDA ,Y+ ROOMTB OBJ PNTR
 BEQ N@ NO OBJECT
 BMI N@ UNSEEN OBJECT
J@ CMPA ,X+ GET OBJ DESC
 BEQ L@
K@ TST ,X+
 BNE K@
 BRA J@
L@ JSR DISPLY OBJECT DESC
 LDX #COMMA
 JSR DISPLY
N@ DECB
 BNE M@ LOOP THRU ALL OBJ
 JSR PERIOD
O@ JMP REPLY

*******************************
*
* SPECIAL PROC: LOOK DRESSER
*
*******************************

LOOK01 EQU *
 LDA ROOM
 CMPA #1
 LBNE DMSG7 DON'T SEE IT
 LDA #11+INV RADIO
 JSR CKOBJ
 BEQ B@
A@ JSR MAKVIS
 JSR CKDRAW
 JMP DMSG11
B@ LDA #10+INV WALLET
 JSR CKOBJ
 LBEQ DMSG12 NOTHING SPECIAL
 BRA A@

*******************************
*
* SPECIAL PROC: LOOK BED
*
*******************************

LOOK02 EQU *
 LDA ROOM
 CMPA #1
 LBNE DMSG7 DON'T SEE
 JMP DMSG13 NOTHING ON TOP

*******************************
*
* SPECIAL PROC: LOOK VALET
*
*******************************

LOOK03 EQU *
 LDA ROOM
 CMPA #1
 LBNE DMSG7 DON'T SEE
 LDA #9+INV JEANS & SHIRT
 JSR CKOBJ
 LBEQ DMSG12 NOTHING SPECIAL
 JSR MAKVIS
 JSR CKDRAW
 JMP DMSG11 FOUND SOMETHING

*******************************
*
*  SPECIAL PROC: LOOK UNDER
*
*******************************

LOOK04 EQU *
 LDX #MSG14
 JSR DISPLY
 JSR GETLIN
 JSR SCNKEY
 LDA VERBNO
 CMPA #21 UNDER
 BEQ B@ YES
 CMPA #12 BED
 LBNE BADINP
A@ LDA ROOM
 CMPA #1
 LBNE DMSG7 DON'T SEE
 LDA #8+INV SHOES
 JSR CKOBJ
 LBEQ DMSG12 NOTHING SPECIAL
 JSR MAKVIS
 JSR CKDRAW
 JMP DMSG11 FOUND SOMETHING
B@ LDA NOUNNO
 CMPA #127 UNDER BED?
 BEQ A@
 JMP BADINP

*******************************
*
* SPECIAL PROC: LOOK BILLBOARD
*
*******************************

LOOK05 EQU *
 LDA ROOM
 CMPA #2
 LBNE DMSG7 DON'T SEE IT
 LDX #MSG56
 JSR DISPLY
 JMP REPLY

*******************************
*
* SPECIAL PROC: LOOK LANDLORD
*
*******************************

LOOK06 EQU *
 LDA ROOM
 CMPA #4
 LBNE DMSG23 NOT FOUND
 LDA #121 LANDLORD
 JSR CKOBJ
 LBEQ DMSG23 NOT FOUND
 JMP DMSG27

*******************************
*
* SPECIAL PROC: LOOK WALLET
*
*******************************

LOOK07 EQU *
 LDA #18 OPEN WALLET
 JSR HAVOBJ
 LBNE DMSG12 NOTHING SPECIAL
 LDA #10 CLOSED WALLET
 JSR HAVOBJ
 LBNE DMSG12 NOTHING SPECIAL
 LDA #18
 JSR CKOBJ
 LBNE DMSG12
 LDA #10
 JSR CKOBJ
 LBNE DMSG12
 JMP DMSG7

*******************************
*
* SPECIAL PROC: LOOK DOOR
*
*******************************

LOOK08 EQU *
 LDA ROOM
 CMPA #1
 LBEQ DMSG12 NOTHING SPECIAL
 CMPA #3
 LBNE DMSG7 DON'T SEE
 JMP DMSG29 ROOM 203

*******************************
*
* SPECIAL PROC: LOOK PACKAGE
*
*******************************

LOOK09 EQU *
 LDA #22 PACKAGE
 JSR HAVOBJ
 LBEQ DMSG10 DON'T HAVE IT
 JMP DMSG35

*******************************
*
* SPECIAL PROC: LOOK GARBAGE
*
*******************************

LOOK10 EQU *
 LDA ROOM
 CMPA #9
 LBNE DMSG7 DON'T SEE IT
 LDA #17+INV GOLD TOKEN
 JSR CKOBJ
 LBEQ DMSG12 NOTHING SPECIAL
 JSR MAKVIS
 JMP DMSG11 FOUND SOMETHING

*******************************
*
* SPECIAL PROC: LOOK SIGN
*
*******************************

LOOK11 EQU *
 LDA ROOM
 CMPA #2
 LBEQ LOOK05 READ BILLBOARD
 CMPA #11
 LBEQ DMSG20
 CMPA #22 IN CABIN
 LBEQ DMSG59
 CMPA #12
 LBNE DMSG7 DON'T SEE IT
 JMP DMSG37 BEER ON TAP

*******************************
*
* OPEN VERB PROCESSOR
*
*******************************

VOPEN EQU *
 LDA NOUNNO
 CMPA #124 WINDOW?
 BEQ A@
 JMP BADINP
A@ LDA ROOM
 CMPA #3
 LBEQ DMSG18 WON'T BUDGE
 CMPA #1
 BEQ B@
 CMPA #2
 LBNE DMSG7 DON'T SEE
B@ LDA #124
 JSR CKOBJ
 LBEQ DMSG15 ALREADY OPEN
 LDB #123 OPENED WINDOW
 JSR CHGOBJ
 INC ROOM
 JSR CHGOBJ
 DEC ROOM
 JMP DMSG16 IT'S OPEN

*******************************
*
* SPECIAL PROC: OPEN DOOR
*
*******************************

OPEN01 EQU *
 LDA ROOM
 CMPA #1
 BEQ A@
 CMPA #3
 BEQ A@
 CMPA #22
 BEQ D@
 CMPA #43
 BEQ C@
 JMP DMSG7
A@ LDA #111 CLOSED DOOR
 JSR CKOBJ
 LBEQ DMSG15 IT'S ALREADY OPEN
 LDB #112 OPEN DOOR
 JSR CHGOBJ
B@ JMP REPLY
C@ LDA #98 OPEN TRAP DOOR
 JSR CKOBJ
 LBNE DMSG15
 LDA #98
 JSR PUTOBJ
 JSR CKDRAW
 LDB #22
 STB ROOM
 JSR PUTOBJ
 LDB #43
 STB ROOM
 BRA B@
D@ LDA #98
 JSR CKOBJ
 LBEQ DMSG7
 JMP DMSG15

*******************************
*
* SPECIAL PROC: OPEN WALLET
*
*******************************

OPEN02 EQU *
 LDA #10
 JSR HAVOBJ
 BNE A@
 LDA #18 OPEN WALLET
 JSR HAVOBJ
 LBEQ DMSG10 DON'T HAVE IT
 JMP DMSG15 ALREADY OPEN
A@ LDB #18
 JSR REPOBJ
 LDA #14 $102.00
 JSR PUTOBJ
 JMP DMSG11 FOUND SOMETHING

*******************************
*
* SPECIAL PROC: OPEN MAILBOX
*
*******************************

OPEN03 EQU *
 LDA ROOM
 CMPA #5
 LBNE DMSG7 NOT HERE
 LDX #MSG28 WHICH ONE?
 JSR DISPLY
 JSR GETLIN
 JSR SCNKEY
 LDA VERBNO
 CMPA #17 203?
 BEQ A@
 CMPA #16 BOX
 LBNE BADINP
 LDA NOUNNO
 CMPA #21 203
 LBNE BADINP
A@ LDA #22+INV PACKAGE
 JSR CKOBJ
 LBEQ REPLY
 JSR MAKVIS
 JSR CKDRAW
 JMP DMSG11 FOUND SOMETHING

*******************************
*
* SPECIAL PROC: OPEN PACKAGE
*
*******************************

OPEN04 EQU *
 LDA #22 PACKAGE
 JSR HAVOBJ
 LBEQ DMSG10 DON'T HAVE IT
 LDB #24 POCKET KNIFE
 JSR REPOBJ
 LDA #13 WRAPPING PAPER
 JSR PUTOBJ
 JMP DMSG11 FOUND SOMETHING

*******************************
*
* SPECIAL PROC: OPEN KNIFE
*
*******************************

OPEN05 EQU *
 LDA NOUNNO
 JSR HAVOBJ
 LBEQ DMSG10 DON'T HAVE IT
 LDA #110 MUGGERS
 JSR CKOBJ
 LBEQ REPLY NOT HERE
 CLRB
 JSR CHGOBJ
 JSR CKDRAW
 JMP DMSG36 MUGGERS RUN AWAY

*******************************
*
* CLOSE VERB PROCESSOR
*
*******************************

VCLOSE EQU *
 LDA NOUNNO
 CMPA #124 WINDOW?
 BEQ A@
 JMP BADINP
A@ LDA ROOM
 CMPA #3
 LBEQ DMSG21 ALREADY CLOSED
 CMPA #1
 BEQ B@
 CMPA #2
 LBNE DMSG7 DON'T SEE
B@ LDA #123 OPEN WINDOW
 JSR CKOBJ
 LBEQ DMSG21 ALREADY CLOSED
 LDB #124
 JSR CHGOBJ
 INC ROOM
 JSR CHGOBJ
 DEC ROOM
 JMP DMSG16 CLOSED

******************************
*
* SPECIAL PROC: CLOSE DOOR
*
*******************************

CLOS01 EQU *
 LDA ROOM
 CMPA #1
 BEQ A@
 CMPA #3
 BEQ A@
 CMPA #22
 LBEQ DMSG18
 CMPA #43
 BEQ C@
 JMP DMSG7
A@ LDA #112 OPEN DOOR
 JSR CKOBJ
 LBEQ DMSG21 ALREADY CLOSED
 LDB #111 CLOSED DOOR
B@ JSR CHGOBJ
 JSR CKDRAW
 JMP REPLY
C@ LDA #22
 STA ROOM
 LDA #98
 CLRB
 JSR CHGOBJ
 LDB #43
 STB ROOM
 CLRB
 BRA B@

*******************************
*
* PAY VERB PROCESSOR
*
*******************************

VPAY EQU *
 LDA ROOM
 CMPA #4
 LBNE BADINP
 LDA NOUNNO
 CMPA #20 RENT
 BEQ A@
 CMPA #14 CASH
 BEQ A@
 CMPA #121 LANDLORD
 LBNE BADINP
A@ LDA #121 LANDLORD
 JSR CKOBJ
 LBEQ DMSG23 HE'S NOT HERE
 LDA #14 $102.00
 JSR HAVOBJ
 LBEQ DMSG26 NOT ENOUGH CASH
 LDB #15 $2.00
 JSR REPOBJ
 LDA #121 LANDLORD
 CLRB
 JSR CHGOBJ
 JSR CKDRAW
 LDX #MSG24
 JSR DISPLY
 LDA #23 CLOTHES
 JSR HAVOBJ
 LBNE REPLY
 JMP DMSG25 SNICKER

*******************************
*
* BUY VERB PROCESSOR
*
*******************************

VBUY EQU *
 LDA ROOM
 CMPA #12
 LBNE DMSG7
 LDA NOUNNO
 CMPA #19
 LBNE BADINP
 LDA #15 $2.00
 JSR HAVOBJ
 BEQ C@
 LDX #MSG28
 JSR DISPLY
 JSR GETLIN
 JSR SCNKEY
 LDA VERBNO
 CMPA #25
 BEQ A@
 CMPA #26
 BEQ A@
 CMPA #27
 BEQ A@
 JMP BADINP
A@ STA BEERSW
 LDA #19 BEER
 JSR HAVOBJ
 BNE Z@
 LDA #32 EMPTY GLASS
 JSR HAVOBJ
 BEQ X@
Z@ CLRB
 JSR REPOBJ
 DEC OBJCNT
X@ LDA #32 EMPTY GLASS
 CLRB
 JSR CHGOBJ
 LDA #19 BEER
 JSR CHGOBJ
 JSR PUTOBJ
 JSR CKDRAW
 LDA #15 $2.00
 CLRB
 JSR REPOBJ
 DEC OBJCNT
 LDB #2
 STB ROOM
 JSR PUTOBJ
 LDB #12
 STB ROOM
 LDA BEERSW
 CMPA #26
 BNE B@
 LDA #13+INV
 DEC ROOM
 JSR RMVIS
 INC ROOM
B@ JMP DMSG39
C@ CLR BEERSW
 JMP DMSG26

*******************************
*
* PULL VERB PROCESSOR
*
*******************************

VPULL EQU *
 LDA NOUNNO
 CMPA #24 KNIFE
 LBEQ OPEN05 YES
 JMP BADINP

*******************************
*
* SHOW VERB PROCESSOR
*
*******************************

VSHOW EQU *
 BRA VPULL

*******************************
*
* SAY VERB PROCESSOR
*
*******************************

VSAY EQU *
 LDA NOUNNO
 CMPA #31 SEAN
 LBNE BADINP
VSEAN LDA #97+INV BRIDGE
 JSR CKOBJ
 BEQ A@
 JSR MAKVIS
 LDX #MSG52 POOF
 JSR DELAY
 LDX #MSG53
 JSR DISPLY
 LDA #97
 JSR CKDRAW
A@ JMP REPLY

*******************************
*
* LIGHT VERB PROCESSOR
*
*******************************

VLIGHT EQU *
 LDA NOUNNO
 CMPA #11 FLASHLIGHT
 BEQ E@
 CMPA #29 ON
 BEQ A@
 CMPA #30 OFF
 LBNE BADINP
A@ LDA #28 LIT FLASHLIGHT
 JSR HAVOBJ
 BNE B@
 LDA #11 FLASHLIGHT
 JSR HAVOBJ
 LBEQ DMSG10
B@ LDA NOUNNO
 CMPA #29
 BEQ C@
 LDA #28
 LDB #11
 JSR REPOBJ
 JSR INCAVE
D@ JMP REPLY
C@ LDA #11
 LDB #28
 JSR REPOBJ
 LDA ROOM
 CMPA #39
 BLO D@
 CMPA #44
 BHI D@
 JSR CLS
 JSR DRAWSC
 BRA D@
E@ LDA #29 LIGHT ON
 STA NOUNNO
 BRA VLIGHT

*******************************
*
* UNLIGHT VERB PROCESSOR
*
*******************************

VUNLIT EQU *
 LDA NOUNNO
 CMPA #11 FLASHLIGHT
 LBNE BADINP
 LDA #30 LIGHT OFF
 STA NOUNNO
 BRA VLIGHT

*******************************
*
* READ VERB PROCESSOR
*
*******************************

VREAD EQU *
 LDA NOUNNO
 CMPA #116 SIGN
 BEQ A@
 CMPA #122 BILLBOARD
 LBNE BADINP
A@ JMP LOOK11

*******************************
*
* TALK VERB PROCESSOR
*
*******************************

VTALK EQU *
 JMP BADINP

*******************************
*
* SPECIAL PROC: TALK LANDLORD
*
*******************************

TALK01 EQU *
 LDA #121 LANDLORD
 JSR CKOBJ
 LBEQ DMSG23 NOWHERE TO BE SEEN
 JMP DMSG22 LANDLORD BITCHES

*******************************
*
* SPECIAL PROC: TALK BARKEEP
*
*******************************

TALK02 EQU *
 LDA ROOM
 CMPA #12
 LBNE DMSG23 NOWHERE TO BE SEEN
 JMP DMSG38 ORDER UP MATE!

*******************************
*
* GO VERB PROCESSOR
*
*******************************

VNORTH LDA #1
 FCB $8C
VSOUTH LDA #2
 FCB $8C
VEAST LDA #3
 FCB $8C
VWEST LDA #4
 FCB $8C
VUP LDA #5
 FCB $8C
VDOWN LDA #6
 STA NOUNNO
VGO LDA NOUNNO VERIFY DIRECTION
 BEQ C@
 BMI C@
D@ CMPA #6
 BHI C@
 LDB ROOM CALC ADDR IN ROOMTB
 DECB
 LDA #RMSIZE
 MUL
 ADDD #ROOMTB
 TFR D,X
 LDA NOUNNO GET NEXT ROOM #
 DECA
 LDA A,X
 BEQ B@ NO ROOM THAT DIRECTION
 BMI B@ UNSEEN ROOM
EXITRM EQU *
 TFR A,B
 LDX #EXITTB SPECIAL EXIT RTNS
E@ LDA ,X+
 BEQ G@
 CMPA ROOM
 BEQ F@
 LEAX 2,X
 BRA E@
F@ JSR [,X]
G@ INC NEWRM
 STB ROOM SET NEW ROOM
 CLR NOUNNO
A@ JMP VLOOK
B@ LDX #MSG3 NO WAY TO GO
 JSR DISPLY
 JMP REPLY
C@ JMP BADINP

*******************************
*
* SPECIAL PROC: GO DOOR
*
*******************************

GO01 EQU *
 LDA ROOM
 CMPA #1
 BEQ A@
 CMPA #3
 BEQ A@
 CMPA #22
 BEQ B@
 CMPA #43
 BEQ C@
 JMP DMSG7
A@ LDA #111 CLOSED DOOR
 JSR CKOBJ
 LBNE DMSG19 IT'S CLOSED
 LDA ROOM
 EORA #%00000010
 BRA D@
B@ LDA #98 OPEN TRAP DOOR
 JSR CKOBJ
 LBEQ DMSG7
 LDA #43
 BRA D@
C@ LDA #98 OPEN TRAP DOOR
 JSR CKOBJ
 LBEQ DMSG19
 LDA #22
D@ JMP EXITRM

*******************************
*
* SPECIAL PROC: GO WINDOW
*
*******************************

GO02 EQU *
 LDB ROOM
 CMPB #1
 BEQ A@
 CMPB #2
 BEQ A@
 CMPB #3
 LBNE DMSG7 DON'T SEE
A@ LDA #123 OPEN WINDOW
 JSR CKOBJ
 LBEQ DMSG19 IT'S CLOSED
 TFR B,A
 DECA
 BNE B@
 LDA #2
B@ JMP EXITRM

*******************************
*
* SPECIAL PROC: GO TURNSTILE
*
*******************************

GO03 EQU *
 LDA ROOM
 CMPA #16
 LBNE DMSG7
 LDA #17 TOKEN
 JSR HAVOBJ
 LBEQ DMSG40
 LDX #MSG41
 JSR DELAY
 LDA #17
 JMP EXITRM

*******************************
*
* SPECIAL PROC: GO CABIN
*
*******************************

GO04 EQU *
 LDA ROOM
 CMPA #21
 LBNE DMSG7
 LDA #22
 JMP EXITRM

*******************************
*
* SPECIAL PROC: GO CAVE
*
*******************************

GO05 EQU *
 LDA #103 CAVE
 JSR CKOBJ
 LBEQ DMSG7
 LDA #101 SNAKES
 JSR CKOBJ
 LBNE DMSG47
 LDA #39
 JMP EXITRM

*******************************
*
* SPECIAL PROC: GO BRIDGE
*
*******************************

GO06 EQU *
 LDA #97 BRIDGE
 JSR CKOBJ
 LBEQ DMSG7
 LDA ROOM
 EORA #1
 JMP EXITRM

*******************************
*
* SPECIAL PROC: GO RAINBOW
*
*******************************

GO07 EQU *
 LDA #100 RAINBOW
 JSR CKOBJ
 LBEQ DMSG7
 LDA #46
 JMP EXITRM

*******************************
*
* DRINK VERB PROCESSOR
*
*******************************

VDRINK EQU *
 LDA #19 BEER
 JSR HAVOBJ
 LBEQ DMSG10
 LDB #32 EMPTY GLASS
 JSR REPOBJ
 JMP DMSG54

*
* END OF FILE: ADVENT01/ASM
*
